Skip to content

Edit a user comment

POST
/cms/content/{id}/comment/{comment_id}
curl --request POST \
--url https://api.example.com/cms/content/example/comment/1 \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "comment": "example" }'
id
required
string

Content ID

comment_id
required
integer

Edited comment payload. When editing a comment text, you must be logged in as the same user. When editing the metadata, you must be logged in.

Media typeapplication/json
One of:

Edit comment text (from owner customer only)

object
comment
required

Updated comment text

string

Comment edited

Media typeapplication/json
object

Example generated

{}

Unauthorized

Media typeapplication/json
object

Example generated

{}